Bug 1390308 - nouveau kms: No native backlight interface on maxwell GPUs
Summary: nouveau kms: No native backlight interface on maxwell GPUs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-31 16:22 UTC by Hans de Goede
Modified: 2016-11-24 08:24 UTC (History)
10 users (show)

Fixed In Version: kernel-4.8.8-200.fc24 kernel-4.8.8-300.fc25 kernel-4.8.8-100.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-19 17:26:12 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Hans de Goede 2016-10-31 16:22:46 UTC
The Lenovo P50 exclusively uses the native (intel or nvidia specific) backlight control interface, there appears to be no thinkpad_acpi or acpi_video backlight interface. This works fine when in hybrid mode and the panel is routed to the intel GPU, but when discrete graphics mode gets selected in the BIOS, then the panel is routed to the nvidia GPU (and the intel GPU is completely disabled).

In this case the user cannot control the backlight as the nouveau driver does not (yet) support backlight control on maxwell GPUs.

Comment 1 Hans de Goede 2016-11-11 10:28:36 UTC
This is fixed by this upstream commit:

https://cgit.freedesktop.org/~airlied/linux/commit/drivers/gpu/drm/nouveau?h=drm-next&id=bbe1f94a8b3f2e8622dd400a6827d3242005d951

Changing component to kernel. Fedora kernel-team can you add that patch to the Fedora kernel pkgs for now please ?

Comment 2 Fedora Update System 2016-11-16 16:46:14 UTC
kernel-4.8.8-300.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-29cde72f15

Comment 3 Fedora Update System 2016-11-16 16:50:13 UTC
kernel-4.8.8-200.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3548475bca

Comment 4 Fedora Update System 2016-11-16 16:53:26 UTC
kernel-4.8.8-100.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ee3a114958

Comment 5 Fedora Update System 2016-11-16 20:26:50 UTC
kernel-4.8.8-300.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-29cde72f15

Comment 6 Fedora Update System 2016-11-17 03:53:24 UTC
kernel-4.8.8-100.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ee3a114958

Comment 7 Fedora Update System 2016-11-17 03:58:42 UTC
kernel-4.8.8-200.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3548475bca

Comment 8 Fedora Update System 2016-11-19 17:26:12 UTC
kernel-4.8.8-200.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-11-19 21:20:14 UTC
kernel-4.8.8-300.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-11-24 08:24:55 UTC
kernel-4.8.8-100.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.